Subject: Re: [MOBILE-IP] IPv6 handover document

From: Roberts Phil-QA3445 <[email-masked]>
Date: Wed, 16 Aug 2000 15:32:23 -0500

This is a good plan.  I'd like to participate.

> -----Original Message-----
> From: Charles E. Perkins [mailto:[email-masked]]
> Sent: Wednesday, August 16, 2000 11:38 AM
> To: Hesham Soliman (EPA); Karim El-Malki (ERA); Gopal Dommety; Jari T.
> Malinen; Rajeev Koodli; M. Scott Corson; George Tsirtsis; Alan O'Neill
> Cc: Basavaraj Patil (NTC/Dallas); Phil Roberts; Mobile IP Mailing List
> Subject: IPv6 handover document
>
>
>
> Hello folks,
>
> I have a primitive version of a writeup for the IPv6 handover
> document that was authorized during the Pittsburgh IETF 48.
> I am not sure whether this is supposed to be an edited document,
> or a co-authored document, or in general whose names are supposed
> to appear on the document.  My plan is as follows:
>
> 1. Distribute the primitive and rough document I have now to see
>    if it is a useful starting point.
> 2. Get additional production collaboration from the
> interested participants
> 3. Submit an Internet Draft by end of August
> 4. Get discussion by the working group
> 5. Submit revised Internet Draft by end of October
>
> Anyone who is interested in participation in (1) and (2) please
> let me know and I will send you what I have.
>
> Regards,
> Charlie P.
>

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Fri, 18 Aug 2000 01:25:33 +1000

PS: fast/smooth/seamless/smart handoffs are fine but mobile IPv6 code should
support other more traditional usage of mobility, for instance it should
be able to change an interface for another, for instance a GSM/GPRS/UMTS/...
cellular device for a 100Mbits/s Ethernet. This is what makes mobile IPv*
more powerful than any layer 2 solution and we should not drop this in order
to fight with better weapons against layer 2 solutions.
I am afraid this was forgotten by some of us...

=> Yes you're right. But the main reason is that the problem of eliminating
packet delays / losses while performing handoff is harder to fix
when doing a handoff within the same access technology (at least when
you consider the routing problem alone). This is due to the nature of
most radio links, as they don't allow you to be data-connected to two
different coverage areas.
On the other hand when doing an inter-access technology handoff
(ie. two different interfaces on your device) you can actually
make it lossles using standard MIPv6.

---

From: Mohamed Khalil <[email-masked]>
Date: Thu, 17 Aug 2000 12:13:33 -0500

Hi   Charlie ,

>       * If we want to handle the case of fast handoff, we  should  get
> some type of assistant from L2. If we want to go through this path ,  we
> should specify the following types of handoff:
>
>       1- Mobile Node assisted handoff.
>
>          The MN by some means will detect that it has moved to a new
> foreign environment, and it will send a router solicitation
>          to acquire a router advertisement from the router(s) in the new
> foreign sub-network. Their are two cases of sending
>          router solicitation to the routers resides at the new foreign
> sub-network.
>
>          a- The MN may have connections to the new and old   foreign
> sub-network.
>              In this case the MN can send the router solicitation
> directly to the new foreign sub-network  and receive the router
> advertisement.

>
>          b- The MN is not allowed to have multiple connections and it only
> have a connection to the current sub-network. In this case
>              we could send a tunneled router solicitation to the new
> foreign sub-network using the current established link.
>              The router advertisement should be tunneled back to the
> mobile node.
>
>
>       2- Network or System assisted handoff.
>
>          Once the network detected the existence of the MN it will send a
> router advertisment to the MN.
>
>       * buffering of information in the old router and forwarding this
> information later may be useful to minimize data loss.
>
>       * Regarding your question if the draft is informational draft? If we
> are defining in this draft the requirements for the smooth and fast
> handoff, so this draft will be informational. If we are going to define
> new signals so this draft should be standard track.
>
>
>       Mohamed & Haseeb
>
>
>
>
>
>       From: Linfeng Yang [mailto:[email-masked]]
>       Sent: Thursday, August 17, 2000 5:07 AM
>       To: [email-masked]
>       Subject: Re: [MOBILE-IP] IPv6 handover document
>
>
>       > =>Yes I think that is important, but also just as important is to
>       > separate fast, smooth and seamless handoffs from each other. I
> believe
>       > the basic MIPv6 already provides smooth handoffs (as far as
> routing goes).
>
>       Here is my understanding about the different between fast, smooth
> and
>       seamless handoff. Please correct me if I am wrong.
>
>       I feel smooth handoff and seamless handoff are the same, they
> describe the
>       handoff in the way what we want it achieve, i.e., minimized packet
> loss.
>       In basic MIPv6 smooth or seamless handoff is achieved through
> establishing
>       forwarding from a previous care-of address.
>
>       Fast handoff on the other hand describe how we can achieve it. Fast
> is
>       compared with basic MIPv6 in the sense that it will overcome the
> router
>       advertisement interval limit. Here I schemed one way of Fast
> handoff, I
>       call it Link Layer Assisted Fast Handoff.
>
>       When MN is on idle movement, there is no need to perform fast
> handoff,
>       since there is no packet loss issue.
>
>       So MN will start fast handoff process when it is in active movement.
>       MN will constantly measure signal strength of message received from
>       current router, if it is lower than some threshold value (t1), MN
> will
>       then send a router solicitation message in hope of receiving a
> router
>       advertisement. In this way, MN can overcome the Router Advertisement
>       interval limit, thus speed up handoff process. MN may then receive
>       more than one Solicited Router Advertisement from neighboring
> routers.
>       After compare the signal strength of current router (sc) with the
> one
>       received earliest from new router (sn), MN can then decide to
> perform a
>       Handoff or not. If (sn + t2) >= sc, MN will perform handoff,
> otherwise
>       MN will send another Router Solicitation.  t2 is used to prevent
>       unnecessary handoff in the "ping pong" like movement within the
> overlap
>       of two router domain. After handoff new router becomes current
> default
>       router or MN, MN will then measure its signal strength from this
> router.
>
>       We can see this is only local handoff, if accompanied with
> establishing
>       forwarding from a previous care-of address, it can achieve even
> better
>       smoothness.
>
>       Regards,
>
>       Linfeng Yang
>                       Helsinki University of Technology
>                       Telecommunications Software and Multimedia
> Laboratory
>                       P.O.Box 9700, 02015 HUT, Finland
>                       Phone: +358 9 451 5250           Fax: +358 9 451
> 5351
>

---

From: Alper Yegin <[email-masked]>
Date: Fri, 18 Aug 2000 10:26:46 -0700

I was wondering how big is a cell? I'm sure it depends on the technology,
vendor, but can I get a range...

Thanks.

alper
Sun Microsystems, Inc.

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Mon, 21 Aug 2000 22:13:22 +1000

=>It depends on various factors but I believe the max cell size in GSM
is 35 Km (from the tower). Pico cells (in GSM) can be around 100 m.
In CDMA the actual cell size can be dynamic and can vary depending
on the number of users per cell and the power budgets per user.